SolrQuery::setEchoHandler
SolrQuery::setExplainOther
SolrQuery
PHP Manual

# SolrQuery::setEchoParams

Determines what kind of parameters to include in the response

### Description

public SolrQuery SolrQuery::setEchoParams ( string `$type` )

Instructs Solr what kinds of Request parameters should be included in the response for debugging purposes, legal values include:

    - none - don't include any request parameters for debugging
    - explicit - include the parameters explicitly specified by the client in the request
    - all - include all parameters involved in this request, either specified explicitly by the client, or implicit because of the request handler configuration.

### Parameters

`type`

  The type of parameters to include

### Return Values

Returns the current SolrQuery object, if the return value is used.